2019-08-24 01:03 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004678Spring engineGeneralpublic2018-02-10 15:27
Reporterhokomoko 
Assigned ToKloot 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version98.0.1+git 
Target VersionFixed in Version104.0 +git 
Summary0004678: Changing targets during a burst can lead to units firing anywhere
DescriptionWhen new shots in a salvo are created they're sent to a target the even if it was changed.
Steps To Reproduce(tested in ZK and S44 with different burst weapons, example is ZK)
Lowering speed is recommended.

1) Spawn a corbhmth
2) Spawn a cafus next to it
3) Tell the behemoth to fire at point A
4) Just when the first shot is fired give and order to fire at point B in a different direction.
5) Profit!
TagsNo tags attached.
Checked infolog.txt for lua Errors
Attached Files

-Relationships
+Relationships

-Notes

~0014064

Google_Frog (reporter)

I noticed this while messing with the firetolerance tag. This behaviour has always been the case and the implementation of burst makes it a bit hard to know what to do about it.

I think blocking the shots of the burst is bad. It could be seen as a bug if units do not always fire their entire burst. Units could re-target themselves and cause blocked shots.

You could do something similar to firetolerance and only allow the weapon to shoot at the new target if it is within some angle of its direction. Otherwise the weapon would continue shooting at the old target on the condition that the old target is within a certain angle as well. This sounds messy.

A simple possibility is to have people re-implement burst in their LUS if they have an infrequent or long burst. In practice most uses of burst seem to be so fast that they are unexploitable.

~0018800

Kloot (developer)

Last edited: 2018-02-10 15:27

View 2 revisions

this should be quite suppressable now that Lua can alter AimWeapon's call frequency OTF.

+Notes

-Issue History
Date Modified Username Field Change
2015-02-18 15:47 hokomoko New Issue
2015-02-18 15:47 hokomoko File Added: 20150218_164209_1944_Cooper_Hill_v3_98.0.1-386-g4abfa48 develop.sdf
2015-02-19 03:18 Google_Frog Note Added: 0014064
2018-02-10 15:22 Kloot Assigned To => Kloot
2018-02-10 15:22 Kloot Status new => resolved
2018-02-10 15:22 Kloot Resolution open => fixed
2018-02-10 15:22 Kloot Fixed in Version => 104.0 +git
2018-02-10 15:22 Kloot Note Added: 0018800
2018-02-10 15:27 Kloot Note Edited: 0018800 View Revisions
+Issue History